/* Sticky footer styles
-------------------------------------------------- */

html,
body {
    height: 100%;
    /* The html and body elements cannot have any padding or margin. */
}

/* Wrapper for page content to push down footer */
#wrap {
    min-height: 100%;
    height: auto;
    /* Negative indent footer by its height */
    margin: 0 auto -60px;
    /* Pad bottom by footer height */
    padding: 0 0 60px;
}

/* Set the fixed height of the footer here */
#footer {
    height: 60px;
    background-color: #f5f5f5;
}


/* Custom page CSS
-------------------------------------------------- */
/* Not required for template or sticky footer method. */

#wrap > .container {
    padding: 60px 15px 0;
}
.container .text-muted {
    margin: 20px 0;
}

#footer > .container {
    padding-left: 15px;
    padding-right: 15px;
}

code {
    font-size: 80%;
}

/* Quick Access Panel */
.quick-access {
    margin-top: 10px;
}
.quick-access .panel-body a {
    float: left;
    margin: 0 8px;
    padding: 5px;
    border-radius: 10px;
}
.quick-access .panel-body a:hover {
    background: #f8f8f8;
}
.quick-access .panel-body a img {
    max-width: 64px;
    max-height: 64px;
}

/* Dashboard */
.negative {
    color: red;
}
.positive {
    color: blue;
}
.panel-dashboard {
    width: 100%;
}
@media (min-width: 998px) {
    .panel-dashboard {
        width: 32.336%;
        float: left;
        margin: 0 0.49% 10px;
    }
}
.panel-dashboard .panel-body {
    min-height: 150px;
}

.account-balance {
    clear: both;
}
.account-balance .account {
    float: left;
}
.account-balance .balance {
    float: right;
    text-align: right;
}
.panel-dashboard .summary {
    font-size: 14px;
    font-weight: bold;
    padding-top: 7px;
}

.month-result {
    width: 100%;
}
.month-result .result-title {
    font-weight: bold;
    padding: 0 0 0 5px;
}
.month-result tbody > tr td.amount {
    padding-left: 5px;
}
.month-result tbody > tr.summary td {
    padding-top: 7px;
}

.panel-category-chart .panel-body {
    height: 350px;
}

.dashboard-launch {
    clear: both;
    float: left;
    width: 102.5%;
    margin-left: -4px;
    margin-right: -4px;
}
.dashboard-launch .launch-description {
    float: left;
    width: 70%;
    padding-left: 4px;
}
.dashboard-launch .amount {
    float: right;
    width: 30%;
    text-align: right;
    padding-right: 4px;    
}
.panel-dashboard .launch-late {
    background: #ffbdbd;
}
.panel-dashboard .launch-late a {
    color: #333;
}

/* Forms and Layout */
.breadcrumb {
    margin-top: 3px;
    margin-bottom: 14px;
}
.form-group {
    margin-bottom: 5px;
}

.checkbox label {
    float: left;
    line-height: 23px;
}


/* Dialog to confirm launch */
@media (min-width: 998px) {
    .user-password {
        padding-top: 12px;
    }
}

/* Messages */
.message-error {
    color: #D43F3A;
}

#loading {
    display: none;
    background: rgba(255, 255, 255, 0.3);
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 2040;
}
#loading .panel {
    width: 250px;    
    position: fixed;
    bottom: 20px;
    right: 30px;
    padding: 10px 10px 0;
    background-color: #ffffff;
    background-clip: padding-box;
    outline: none;
}

/* Reports */
.checkbox-report {
    margin-bottom: 5px;
    float: left;
}
.checkbox-report label {
    display: block;
    float: left;
    width: 200px;
    padding: 0;
    margin: 0;
    font-weight: normal;
}